CVE-2019-5481
CVE-2019-5481, security advisory, novell, suse linux, suse, security, cve

CVE-2019-5481

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2019-5481 at MITRE

Description

Double-free vulnerability in the FTP-kerberos code in cURL 7.52.0 to 7.65.3.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 5.7
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H
Access Vector Network
Access Complexity Low
Privileges Required Low
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1149495 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4/389-ds:1.4.0
Container caasp/v4/busybox:1.26.2
Container caasp/v4/cert-exporter:2.3.0
Container caasp/v4/cilium-etcd-operator:2.0.5
Container caasp/v4/cilium-init:1.5.3
Container caasp/v4/cilium-operator:1.6.6
Container caasp/v4/cilium:1.6.6
Container caasp/v4/configmap-reload:0.3.0
Container caasp/v4/coredns:1.6.5
Container caasp/v4/etcd:3.4.3
Container caasp/v4/gangway:3.1.0
Container caasp/v4/grafana:6.2.5
Container caasp/v4/helm-tiller:2.16.1
Container caasp/v4/hyperkube:v1.17.4
Container caasp/v4/k8s-sidecar:0.1.75
Container caasp/v4/kube-state-metrics:1.9.3
Container caasp/v4/kubernetes-client:1.17.4
Container caasp/v4/kured:1.3.0
Container caasp/v4/metrics-server:0.3.6
Container caasp/v4/prometheus-alertmanager:0.16.2
Container caasp/v4/prometheus-node-exporter:0.17.0
Container caasp/v4/prometheus-pushgateway:0.6.0
Container caasp/v4/prometheus-server:2.7.1
Container caasp/v4/velero-plugin-for-aws:1.0.1
Container caasp/v4/velero-plugin-for-gcp:1.0.1
Container caasp/v4/velero-plugin-for-microsoft-azure:1.0.1
Container caasp/v4/velero-restic-restore-helper:1.3.1
Container caasp/v4/velero:1.3.1
Container suse/sle15:15.0
Container suse/sle15:15.1
Image caasp-389-ds-image
Image caasp-busybox-image
Image caasp-caasp-dex-image
Image caasp-cert-exporter-image
Image caasp-cilium-etcd-operator-image
Image caasp-cilium-image
Image caasp-cilium-init-image
Image caasp-cilium-operator-image
Image caasp-cloud-provider-openstack-image
Image caasp-configmap-reload-image
Image caasp-coredns-image
Image caasp-etcd-image
Image caasp-gangway-image
Image caasp-grafana-image
Image caasp-helm-tiller-image
Image caasp-hyperkube-image
Image caasp-k8s-sidecar-image
Image caasp-kube-state-metrics-image
Image caasp-kubernetes-client-image
Image caasp-kured-image
Image caasp-metrics-server-image
Image caasp-prometheus-alertmanager-image
Image caasp-prometheus-node-exporter-image
Image caasp-prometheus-pushgateway-image
Image caasp-prometheus-server-image
Image caasp-rsyslog-image
Image caasp-test-update-image
Image caasp-velero-image
Image caasp-velero-plugin-for-aws-image
Image caasp-velero-plugin-for-gcp-image
Image caasp-velero-plugin-for-microsoft-azure-image
Image caasp-velero-restic-restore-helper-image
  • libcurl4 >= 7.60.0-3.23.1
Container caasp/v4/curl:7.60.0
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image caasp-curl-image
  • curl >= 7.60.0-3.23.1
  • libcurl4 >= 7.60.0-3.23.1
Container suse/sles12sp4:latest
  • libcurl4 >= 7.60.0-4.9.1
SUSE Linux Enterprise Desktop 12 SP4
  • curl >= 7.60.0-4.9.1
  • libcurl4 >= 7.60.0-4.9.1
  • libcurl4-32bit >= 7.60.0-4.9.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2381
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • curl >= 7.60.0-9.8
  • libcurl4 >= 7.60.0-9.8
  • libcurl4-32bit >= 7.60.0-9.8
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • curl >= 7.60.0-3.23.1
  • libcurl-devel >= 7.60.0-3.23.1
  • libcurl4 >= 7.60.0-3.23.1
  • libcurl4-32bit >= 7.60.0-3.23.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2373
SUSE Linux Enterprise Module for Basesystem 15
  • curl >= 7.60.0-3.23.1
  • libcurl-devel >= 7.60.0-3.23.1
  • libcurl4 >= 7.60.0-3.23.1
  • libcurl4-32bit >= 7.60.0-3.23.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2373
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • curl >= 7.60.0-3.23.1
  • curl-mini >= 7.60.0-3.23.1
  • libcurl-devel-32bit >= 7.60.0-3.23.1
  • libcurl-mini-devel >= 7.60.0-3.23.1
  • libcurl4-mini >= 7.60.0-3.23.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2373
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • curl-mini >= 7.60.0-3.23.1
  • libcurl-mini-devel >= 7.60.0-3.23.1
  • libcurl4-mini >= 7.60.0-3.23.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2373
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • curl >= 7.60.0-4.9.1
  • libcurl4 >= 7.60.0-4.9.1
  • libcurl4-32bit >= 7.60.0-4.9.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2381
SUSE Linux Enterprise Software Development Kit 12 SP4
  • curl >= 7.60.0-4.9.1
  • libcurl-devel >= 7.60.0-4.9.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2381
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libcurl-devel >= 7.60.0-9.8
openSUSE Leap 15.0
  • curl >= 7.60.0-lp150.2.25.1
  • curl-debuginfo >= 7.60.0-lp150.2.25.1
  • curl-debugsource >= 7.60.0-lp150.2.25.1
  • libcurl-devel >= 7.60.0-lp150.2.25.1
  • libcurl-devel-32bit >= 7.60.0-lp150.2.25.1
  • libcurl4 >= 7.60.0-lp150.2.25.1
  • libcurl4-32bit >= 7.60.0-lp150.2.25.1
  • libcurl4-32bit-debuginfo >= 7.60.0-lp150.2.25.1
  • libcurl4-debuginfo >= 7.60.0-lp150.2.25.1
Patchnames:
openSUSE-2019-2169
openSUSE Leap 15.1
  • curl >= 7.60.0-lp151.5.6.1
  • curl-debuginfo >= 7.60.0-lp151.5.6.1
  • curl-debugsource >= 7.60.0-lp151.5.6.1
  • curl-mini >= 7.60.0-lp151.5.6.1
  • curl-mini-debuginfo >= 7.60.0-lp151.5.6.1
  • curl-mini-debugsource >= 7.60.0-lp151.5.6.1
  • libcurl-devel >= 7.60.0-lp151.5.6.1
  • libcurl-devel-32bit >= 7.60.0-lp151.5.6.1
  • libcurl-mini-devel >= 7.60.0-lp151.5.6.1
  • libcurl4 >= 7.60.0-lp151.5.6.1
  • libcurl4-32bit >= 7.60.0-lp151.5.6.1
  • libcurl4-32bit-debuginfo >= 7.60.0-lp151.5.6.1
  • libcurl4-debuginfo >= 7.60.0-lp151.5.6.1
  • libcurl4-mini >= 7.60.0-lp151.5.6.1
  • libcurl4-mini-debuginfo >= 7.60.0-lp151.5.6.1
Patchnames:
openSUSE-2019-2149


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 curl Not affected
CaaS Platform 2.0 curl Not affected
CaaS Platform 3.0 curl Not affected
SUSE Linux Enterprise Desktop 12 SP4 curl Released
SUSE Linux Enterprise High Performance Computing 12 curl Released
SUSE Linux Enterprise Module for Basesystem 15 GA curl Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 curl Released
SUSE Linux Enterprise SDK 12 SP4 curl Released
SUSE Linux Enterprise Server 11 SP4 LTSS curl Not affected
SUSE Linux Enterprise Server 11-SECURITY curl-openssl1 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS curl Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS curl Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS curl Not affected
SUSE Linux Enterprise Server 12 SP4 curl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 curl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 curl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 curl Released